#
# spec file for package rubygem-importmap-rails
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-importmap-rails
Version:        1.2.3
Release:        1.1
%define mod_name importmap-rails
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.7.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/rails/importmap-rails
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Use ESM with importmap to manage modern JavaScript in Rails without
License:        MIT

%description
Use ESM with importmap to manage modern JavaScript in Rails without
transpiling or bundling.

%prep

%build

%install
%gem_install \
  --doc-files="MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Nov  3 2023 Dan Čermák <dan.cermak@posteo.net>
- 1.2.3:
  [#]# What's Changed
  * Fix using this gem outside of a Rails application by @rafaelfranca
  [#]# New Contributors
  * @rafaelfranca made their first contribution in https://github.com/rails/importmap-rails/pull/201
  * *Full Changelog**: https://github.com/rails/importmap-rails/compare/v1.2.2...v1.2.3
  1.2.2:
  [#]# What's Changed
  * Add single quote support in `importmap.rb` by @vietqhoang in https://github.com/rails/importmap-rails/pull/198
  * Remove prepended forward slash when mapping.path is empty by @jsntv200 in https://github.com/rails/importmap-rails/pull/192
  [#]# New Contributors
  * @vietqhoang made their first contribution in https://github.com/rails/importmap-rails/pull/198
  * @Rotario made their first contribution in https://github.com/rails/importmap-rails/pull/95
  * @jsntv200 made their first contribution in https://github.com/rails/importmap-rails/pull/192
  * *Full Changelog**: https://github.com/rails/importmap-rails/compare/v1.2.1...v1.2.2
  1.2.1:
  [#]# What's Changed
  * Add a packages command to get package info by @dkniffin in https://github.com/rails/importmap-rails/pull/178
  * Respect `config.enable_reloading` by @ghiculescu in https://github.com/rails/importmap-rails/pull/172
  * Add support for passing a custom importmap to the tag helper by @elia in https://github.com/rails/importmap-rails/pull/187
  [#]# New Contributors
  * @dkniffin made their first contribution in https://github.com/rails/importmap-rails/pull/178
  * @ghiculescu made their first contribution in https://github.com/rails/importmap-rails/pull/172
  * *Full Changelog**: https://github.com/rails/importmap-rails/compare/v1.1.6...v1.2.1
  1.1.6:
  [#]# What's Changed
  * Update [ES Module Shims to 1.7.2](https://github.com/guybedford/es-module-shims/releases/tag/1.7.2) by @dhh
  * Allow single quotes in config/importmaps.rb by @UweKubosch in https://github.com/rails/importmap-rails/pull/147
  * *Full Changelog**: https://github.com/rails/importmap-rails/compare/v1.1.5...v1.1.6
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.1.5
  no changelog found
* Mon Mar  7 2022 Stephan Kulow <coolo@suse.com>
- initial package (version 1.0.3)
